﻿using System.Text.Json.Serialization;

namespace Proxmox.SpiceLauncher.Models;

class Settings
{
    private string _password;
    private string _passwordEnc;
    public string Server { get; set; }
    public string Username { get; set; }

    [JsonIgnore]
    public string Password
    {
        get => _password;
        set
        {
            _password = value;
            _passwordEnc = DPApi.EncryptStringToBase64(value);
        }
    }

    public string PasswordEnc
    {
        get => _passwordEnc;
        set
        {
            _passwordEnc = value;
            _password = DPApi.DecryptStringFromBase64(value);
        }
    }

    public override string ToString()
    {
        return Server;
    }
}